JmolResourceHandler
Date: 2019-10-22

org.openscience.jmol.app.jmolpanel

## Class JmolResourceHandler

- java.lang.Object
- - org.openscience.jmol.app.jmolpanel.JmolResourceHandler

-     class JmolResourceHandler
      extends java.lang.Object

  Provides access to resources (for example, strings and images). This class is a singleton which is retrieved by the getInstance method.
  Author:
    Bradley A. Smith (bradley@baysmith.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Object` | `codePath`
    `private java.util.ResourceBundle` | `generalResourceBundle`
    `private static JmolResourceHandler` | `instance`
    `private java.util.ResourceBundle` | `stringsResourceBundle`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `JmolResourceHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static void` | `clear()`
    `private javax.swing.ImageIcon` | `getIcon(java.lang.String key)`
    `(package private) static javax.swing.ImageIcon` | `getIconX(java.lang.String key)`
    `(package private) static JmolResourceHandler` | `getInstance()`
    `private java.lang.String` | `getString(java.lang.String key)`
    `(package private) static java.lang.String` | `getStringX(java.lang.String key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          private static JmolResourceHandler instance

    - #### stringsResourceBundle

          private java.util.ResourceBundle stringsResourceBundle

    - #### generalResourceBundle

          private java.util.ResourceBundle generalResourceBundle

    - #### codePath

          public static java.lang.Object codePath

  - ### Constructor Detail

    - #### JmolResourceHandler

          private JmolResourceHandler()

  - ### Method Detail

    - #### clear

          static void clear()

    - #### getInstance

          static JmolResourceHandler getInstance()

    - #### getStringX

          static java.lang.String getStringX(java.lang.String key)

    - #### getIconX

          static javax.swing.ImageIcon getIconX(java.lang.String key)

    - #### getIcon

          private javax.swing.ImageIcon getIcon(java.lang.String key)

    - #### getString

          private java.lang.String getString(java.lang.String key)